------------------------------------------------------------------------------------
--Name:  	201111[简体征服][任务脚本]战士觉醒任务-雷霆号角引导
--Creator:	冯子鑫
--Created:	2020-11-11
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>101


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(23,22)
CppScriptMgr:SetViewScale(220)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)



local hero = CppScriptMgr:QueryHero()

hero:SetPos(25,25)
hero:SetDir(3)

local sex = hero:GetSex()
local touxiang = "NPCBust_npc27064"
if sex == 2 then 
	touxiang = "NPCBust_npc185"
end

local General1 = CppScriptMgr:AddPlayer(8,16,15, "[Oriental Warlord] Chi You")
General1:SetZoomPercent(130)
General1:SetArmor(189065,0,1)
General1:SetRWeapon(681439,0,1)
General1:SetHair(21,1)
-- General1:SetLWeapon(681439,0,1)
General1:SetDir(7)

local General2 = CppScriptMgr:AddSimplePlayer(1056716,14,22, "[Oriental Warlord] Hua Mulan")
General2:SetZoomPercent(100)
-- General2:SetArmor(187505,0,1)
-- General2:SetRWeapon(420389,0,1)
-- General2:SetLWeapon(420389,0,1)
General2:SetDir(6)

local General3 = CppScriptMgr:AddPlayer(8,23,13, "[Oriental Warlord] Bai Qi")
General3:SetZoomPercent(100)
General3:SetArmor(195605,0,1)
General3:SetRWeapon(410439,0,1)
-- General3:SetLWeapon(680439,0,1)
General3:SetHair(21,1)
General3:SetDir(0)
CppScriptMgr:SetLightScreen(3000);
CppScriptMgr:WaitMilSec(3000)

--蚩尤
CppScriptMgr:NpcCallOut("Who is it? What are you here for?\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7136", 150, 430, "Chi You", 250, 655)
General1:AddEffect("forceaura_01")
CppScriptMgr:WaitMilSec(2000)
General1:DelEffect("forceaura_01")
CppScriptMgr:WaitMilSec(1500)

local effectObj1  = CppScriptMgr:AddEffect("zsl_rwzy",17,31)
local effectObj2  = CppScriptMgr:AddEffect("zsl_rwzy",32,18)
CppScriptMgr:WaitMilSec(1000)

local General4 = CppScriptMgr:AddSimplePlayer(1056735,17,31, "[Northern Europe Warlord] Tyre")
General4:SetZoomPercent(100)
-- General4:SetArmor(187425,0,1)
-- General4:SetRWeapon(450329,0,1)
-- General4:SetLWeapon(450329,0,1)
General4:SetDir(5)

local General5 = CppScriptMgr:AddSimplePlayer(1056721,31,17, "[Greek Warlord] Ares")
General5:SetZoomPercent(100)
-- General5:SetArmor(194895,0,1)
-- General5:SetRWeapon(420389,0,1)
-- General5:SetLWeapon(420389,0,1)
-- General5:SetHair(21,1)
General5:SetDir(1)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:ClearEffect(effectObj1)
CppScriptMgr:ClearEffect(effectObj2)




local effectObj3  = CppScriptMgr:AddEffect("zsl_rwzy",25,38)
local effectObj4  = CppScriptMgr:AddEffect("zsl_rwzy",38,27)
CppScriptMgr:WaitMilSec(1000)
local General6 = CppScriptMgr:AddPlayer(8,25,38, "[Greek Warlord] Gold Saint")
General6:SetZoomPercent(100)
General6:SetArmor(188915,0,1)
General6:SetRWeapon(580439,0,1)
-- General6:SetLWeapon(420389,0,1)
General6:SetHair(21,1)
General6:SetDir(4)

local General7 = CppScriptMgr:AddPlayer(7,37,26, "[Greek Warlord] Athena")
General7:SetZoomPercent(100)
General7:SetArmor(195645,0,1)
General7:SetRWeapon(560439,0,1)
General7:SetLWeapon(560439,0,1)
General7:SetHair(21,1)
General7:SetDir(2)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:ClearEffect(effectObj3)
CppScriptMgr:ClearEffect(effectObj4)


local effectObj5  = CppScriptMgr:AddEffect("zsl_rwzy",32,39)
local effectObj6  = CppScriptMgr:AddEffect("zsl_rwzy",38,34)

CppScriptMgr:WaitMilSec(1000)





local General8 = CppScriptMgr:AddPlayer(8,31,38, "[Egyptian Warlord] Anubis")
General8:SetZoomPercent(100)
General8:SetArmor(187405,0,1)
General8:SetRWeapon(511439,0,1)
-- General8:SetLWeapon(420389,0,1)
General8:SetHair(21,1)
General8:SetDir(4)

local General9 = CppScriptMgr:AddPlayer(8,38,34, "[Western Warlord] Asura")
General9:SetZoomPercent(100)
General9:SetArmor(189695,0,1)
General9:SetRWeapon(610439,0,1)
-- General9:SetLWeapon(610439,0,1)
General9:SetHair(21,1)
General9:SetDir(3)

CppScriptMgr:WaitMilSec(1000)



CppScriptMgr:ClearEffect(effectObj5)
CppScriptMgr:ClearEffect(effectObj6)


CppScriptMgr:WaitMilSec(2000)

--玩家
CppScriptMgr:NpcCallOut("It must be the Warlord Shrine here.\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(2000)


--提尔
hero:SetDir(1)
CppScriptMgr:NpcCallOut("Warrior, please tell me what you`re here for.\n\n\n\n                                     Click ESC to skip the story.", 1200, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27643", 150, 430, "Tyre", 250, 655)
CppScriptMgr:WaitMilSec(1200)

--玩家
CppScriptMgr:NpcCallOut("The Demon King Army is back. I`d like to ask warlords for help.\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(2000)

--蚩尤
hero:SetDir(3)
CppScriptMgr:NpcCallOut("It was like yesterday when we fought against Demon King. He`s back again?\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7136", 150, 430, "Chi You", 250, 655)
CppScriptMgr:WaitMilSec(2000)

--玩家
CppScriptMgr:NpcCallOut("General Xiao is missing! The Peace Army is not strong enough to fight! The world needs warlords!\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(2000)

--阿瑞斯
hero:SetDir(5)
CppScriptMgr:NpcCallOut("Yes, it does. Warrior, we`ll be waiting for you.\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27642", 150, 430, "Ares", 250, 655)
CppScriptMgr:WaitMilSec(2000)

-- 一道光芒降落，【北欧战神】提尔与【希腊战神】阿瑞斯消失。
CppScriptMgr:WaitMilSec(1000)
local effectObj7  = CppScriptMgr:AddEffect("archer-s",17,31)
local effectObj8  = CppScriptMgr:AddEffect("archer-s",31,17)
CppScriptMgr:WaitMilSec(1000)
General4:SetPos(1000,1000)
General5:SetPos(1000,1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:ClearEffect(effectObj7)
CppScriptMgr:ClearEffect(effectObj8)

CppScriptMgr:WaitMilSec(1500)

--蚩尤
hero:SetDir(3)
CppScriptMgr:NpcCallOut("Warrior, I admire your courage, but it`s far from enough to defeat Demon King.\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7136", 150, 430, "Chi You", 250, 655)
CppScriptMgr:WaitMilSec(2000)

--玩家
CppScriptMgr:NpcCallOut("What should I do then?\n\n\n\n                                     Click ESC to skip the story.", 1200, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(1200)

--蚩尤
CppScriptMgr:NpcCallOut("There must be someone who can take the will of the warlords and go through endless tests.\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7136", 150, 430, "Chi You", 250, 655)
CppScriptMgr:WaitMilSec(2000)

--玩家
hero:SetAction(200)
CppScriptMgr:NpcCallOut("I`d like to take a shot.\n\n\n\n                                     Click ESC to skip the story.", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, touxiang, 150, 430, hero:GetName(), 250, 655)
CppScriptMgr:WaitMilSec(1000)

--蚩尤
CppScriptMgr:NpcCallOut("Warlord Mulan. You can go check General Xiao now.\n\n\n\n                                     Click ESC to skip the story.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7136", 150, 430, "Chi You", 250, 655)
CppScriptMgr:WaitMilSec(2000)

--花木兰
CppScriptMgr:NpcCallOut("Yes!\n\n\n\n                                     Click ESC to skip the story.", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27641", 150, 430, "Hua Mulan", 250, 655)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:SetDarkScreen(3000)
CppScriptMgr:WaitMilSec(3000)




